// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file compositeFEM.h */

#ifndef AMDIS_COMPOSITEFEM_H
#define AMDIS_COMPOSITEFEM_H
#include "CFE_Integration.h"
#include "CFE_NormAndErrorFcts.h"
#include "CompositeFEMMethods.h"
#include "CompositeFEMOperator.h"
#include "ElementLevelSet.h"
#include "LevelSetAdaptMesh.h"
#include "PenaltyOperator.h"
#include "ScalableQuadrature.h"
#include "SubElementAssembler.h"
#include "SubElInfo.h"
#include "SubPolytope.h"
#include "TranslateLsFct.h"
#endif

