#include "Parameters.h"
#include "Project.h"
#include "@PROJECTINCLUDE@"
typedef @CURRENTPROJECTTYPE@ ProjectType;
std::string basename="@BASENAME@";
void write(SolutionInformation& info, std::string filename);
int main(int argc, char** argv) {
  if(argc < 2) {
    std::cout<<" need initfile "<<basename<<"*\n";
    return 1;
  }
  if(argc < 3) {
    std::cout<<" also need a destination file "<<basename<<"*\n";
    return 2;
  }
  std::string initfile(argv[1]);
  std::string destinationfile(argv[2]);
  AMDiS::Parameters::init(false, initfile);
  ProjectType project;
  ProjectInfo info(&project, initfile, destinationfile);
  info.create();
  SolutionInformation solinfo;
  info.solve(solinfo);
  write(solinfo, info.getFilename());
  return 0;
}
